summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorIacopo Isimbaldi2016-01-11 23:32:43 +0100
committerIacopo Isimbaldi2016-01-11 23:32:43 +0100
commita9d627be3a925d5ca0f2adfae354984a07d9b838 (patch)
tree05bbf0fb91169f4feffe0ee6e54cbf52f13e69e5
parent6bff5e23aeb4622307fc50490b1f4654da360471 (diff)
downloadaur-a9d627be3a925d5ca0f2adfae354984a07d9b838.tar.gz
Updated spl.install
-rw-r--r--spl.install10
1 files changed, 7 insertions, 3 deletions
diff --git a/spl.install b/spl.install
index 615ec56d9fff..cdf82a6e9b91 100644
--- a/spl.install
+++ b/spl.install
@@ -8,15 +8,19 @@ EOF
}
pre_upgrade() {
- pre_remove "$2"
+ if [ "${1%%[-_]*}" != "${2%%[-_]*}" ]; then
+ pre_remove "$2"
+ fi
}
post_upgrade() {
- post_install "$1"
+ if [ "${1%%[-_]*}" != "${2%%[-_]*}" ]; then
+ post_install "$1"
+ fi
}
pre_remove() {
- [ -n "${1%%[_-]*}" ] && dkms remove spl/${1%%[_-]*} --all &> /dev/null || true
+ [ -n "${1%%[_-]*}" ] && dkms remove spl/${1%%[_-]*} --all -q || true
}
check_hostid() {